PSBASEMAP(1)

NAME
psbasemap - To plot PostScript basemaps

SYNOPSIS
psbasemap -B[p|s]parameters -Jparameters -Rwest/east/south/north[/zmin/zmax][r] [ -Eazim/elev[+wlon/lat[/z]][+vx0/y0] ] [ -Gfill ] [ -Jz|Zparameters ] [ -K ] [ -L[f][x]lon0/lat0[/slon]/slat/length[m|n|k][+llabel][+jjust][+ppen][+ffill][+u] ] ] [ -O ] [ -P ] [ -U[just/dx/dy/][c|label] ] [ -T[f|m][x]lon0/lat0/size[/info][:w,e,s,n:][+gint[/mint]] ] [ -V ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -Zzlevel ] [ -ccopies ]

DESCRIPTION
psbasemap creates PostScript code that will produce a basemap. Several map projections are available, and the user may specify separate tickmark intervals for boundary annotation, ticking, and [optionally] gridlines. A simple map scale or directional rose may also be plotted.

-B  Sets map boundary annotation and tickmark intervals. The format of tickinfo is [p|s]xinfo[/yinfo[/zinfo]][:."Title":][W|w][E|e][S|s][N|n][Z|z[+]]. The leading p [Default] or s selects the primary or secondary annotation information. Each of the ?info segments are textstrings of the form info[:"Axis label":][:="prefix":][:,"unit label":]. The info string is made up of one or more concatenated substrings of the form [a|f|g]stride[+-phase][unit]. The leading a is used to specify the annotation and major tick spacing [Default], f for minor tick spacing, and g for gridline spacing. stride is the desired stride interval. The optional phase shifts the annotation interval by that amount (positive or negative). The optional unit indicates the unit of the stride and can be any of Y (year, plot with 4 digits), y (year, plot with 2 digits), O (month, plot using PLOT_DATE_FORMAT), o (month, plot with 2 digits), U (ISO week, plot using PLOT_DATE_FORMAT), u (ISO week, plot using 2 digits), r (Gregorian week, 7-day stride from start of week TIME_WEEK_START), K (ISO weekday, plot name of day), D (date, plot using PLOT_DATE_FORMAT), d (day, plot day of month 0-31 or year 1-366, via PLOT_DATE_FORMAT), R (day, same as d, aligned with TIME_WEEK_START), H (hour, plot using PLOT_CLOCK_FORMAT), h (hour, plot with 2 digits), M (minute, plot using PLOT_CLOCK_FORMAT), m (minute, plot with 2 digits), C (second, plot using PLOT_CLOCK_FORMAT), c (second, plot with 2 digits). Note for geographic axes m and c instead mean arc minutes and arc seconds. All entities that are language-specific are under control by TIME_LANGUAGE. To specify separate x and y ticks, separate the substrings that apply to the x and y axes with a slash [/] (If a 3-D basemap is selected with -E and -Jz, a third substring pertaining to the vertical axis may be appended.) For linear/log/power projections (-Jx|X): Labels for each axis can be added by surrounding them with colons (:). If the first character in the label is a period, then the label is used as plot title; if it is a comma (,) then the label is appended to each annotation; if it is an equal sign (=) the the prefix is prepended to each annotation (start label/prefix with - to avoid space between annotation and item); else it is the axis label. If the label consists of more than one word, enclose the entire label in double quotes (e.g., :"my label":). If you need to use a colon (:) as part of your label you must specify it using its octal code (\072).
    By default, all 4 boundaries are plotted (referred to as W, E, S, N). To change the default, append the code for only those axes you want (e.g., WS for standard lower-left x- and y-axis system). Upper case (e.g., W) means draw axis/tickmarks AND annotate it, whereas lower case (e.g., w) will only draw axis/tickmarks. (If a 3-D basemap is selected with -E and -Jz, append Z or z to control the appearance of the vertical axis. Append + to draw the outline of the cube defined by -R. Note that for 3-D views the title, if given, will be suppressed.)
    For non-geographical projections: Give negative scale (in -Jx) or axis length (in -JX) to change the direction of increasing coordinates (i.e., to make the y-axis positive down). For log10 axes: Annotations can be specified in one of three ways: (1) stride can be 1, 2, 3, or -n. Annotations will then occur at 1, 1-2-5, or 1-2-3-4-...-9, respectively; for -n we annotate every n't magnitude. This option can also be used for the frame and grid intervals. (2) An l is appended to the tickinfo string. Then, log10 of the tick value is plotted at every integer log10 value. (3) A p is appended to the tickinfo string. Then, annotations appear as 10 raised to log10 of the tick value. For power axes: Annotations can be specified in one of two ways: (1) stride sets the regular annotation interval. (2) A p is appended to the tickinfo string. Then, the annotation interval is expected to be in transformed units, but the annotation value will be plotted as untransformed units. E.g., if stride = 1 and power = 0.5 (i.e., sqrt), then equidistant annotations labeled 1-4-9... will appear.
    These GMT parameters can affect the appearance of the map boundary: ANNOT_MIN_ANGLE, ANNOT_MIN_SPACING, ANNOT_FONT_PRIMARY, ANNOT_FONT_SECONDARY, ANNOT_FONT_SIZE_PRIMARY, ANNOT_FONT_SIZE_SECONDARY, ANNOT_OFFSET_PRIMARY, ANNOT_OFFSET_SECONDARY, BASEMAP_AXES, BASEMAP_FRAME_RGB, BASEMAP_TYPE, PLOT_DEGREE_FORMAT, FRAME_PEN, FRAME_WIDTH, GRID_CROSS_SIZE_PRIMARY, GRID_PEN_PRIMARY, GRID_CROSS_SIZE_SECONDARY, GRID_PEN_SECONDARY, HEADER_FONT, HEADER_FONT_SIZE, LABEL_FONT, LABEL_FONT_SIZE, LINE_STEP, OBLIQUE_ANNOTATION, PLOT_CLOCK_FORMAT, PLOT_DATE_FORMAT, TIME_FORMAT_PRIMARY, TIME_FORMAT_SECONDARY, TIME_LANGUAGE, TIME_WEEK_START, TICK_LENGTH, TICK_PEN, and Y_AXIS_TYPE; see the gmtdefaults man page for details.

-J  Selects the map projection. The following character determines the projection. If the character is upper case then the argument(s) supplied as scale(s) is interpreted to be the map width (or axis lengths), else the scale argument(s) is the map scale (see its definition for each projection). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale or width values. Append h, +, or - to the given width if you instead want to set map height, the maximum dimension, or the minimum dimension, respectively [Default is w for width].
    In case the central meridian is an optional parameter and it is being omitted, then the center of the longitude range given by the -R option is used. The default standard parallel is the equator.
    The ellipsoid used in the map projections is user-definable by editing the .gmtdefaults4 file in your home directory. 73 commonly used ellipsoids and spheroids are currently supported, and users may also specify their own custum ellipsoid parameters [Default is WGS-84]. Several GMT parameters can affect the projection: ELLIPSOID, INTERPOLANT, MAP_SCALE_FACTOR, and MEASURE_UNIT; see the gmtdefaults man page for details.
    Choose one of the following projections (The E or C after projection names stands for Equal-Area and Conformal, respectively):

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale or -JClon0/lat0/width (Cassini).
        Give projection center lon0/lat0 and scale (1:xxxx or UNIT/degree).

    -Jcyl_stere/[lon0/[lat0/]]scale or -JCyl_stere/[lon0/[lat0/]]width (Cylindrical Stereographic).
        Give central meridian lon0 (optional), standard parallel lat0 (optional), and scale along parallel (1:xxxx or UNIT/degree). The standard parallel is typically one of these (but can be any value):
            66.159467 - Miller's modified Gall
            55 - Kamenetskiy's First
            45 - Gall's Stereographic
            30 - Bolshoi Sovietskii Atlas Mira or Kamenetskiy's Second
            0 - Braun's Cylindrical

    -Jj[lon0/]scale or -JJ[lon0/]width (Miller Cylindrical Projection).
        Give the central meridian lon0 (optional) and scale (1:xxxx or UNIT/degree).

    -Jm[lon0/[lat0/]]scale or -JM[lon0/[lat0/]]width
        Give central meridian lon0 (optional), standard parallel lat0 (optional), and scale along parallel (1:xxxx or UNIT/degree).

    -Joparameters (Oblique Mercator [C]).
        Typically used with -R<...>r, otherwise region is in oblique coordinates. Specify one of:

        -Jo[a]lon0/lat0/azimuth/scale or -JO[a]lon0/lat0/azimuth/width
            Set projection center lon0/lat0, azimuth of oblique equator, and scale.

        -Jo[b]lon0/lat0/lon1/lat1/scale or -JO[b]lon0/lat0/lon1/lat1/scale
            Set projection center lon0/lat0, another point on the oblique equator lon1/lat1, and scale.

        -Joclon0/lat0/lonp/latp/scale or -JOclon0/lat0/lonp/latp/scale
            Set projection center lon0/lat0, pole of oblique projection lonp/latp, and scale.

        Give scale along oblique equator (1:xxxx or UNIT/degree).

    -Jq[lon0/[lat0/]]scale or -JQ[lon0/[lat0/]]width (Cylindrical Equidistant).
        Give the central meridian lon0 (optional), standard parallel lat0 (optional), and scale (1:xxxx or UNIT/degree). The standard parallel is typically one of these (but can be any value):
            61.7 - Grafarend and Niermann, minimum linear distortion
            50.5 - Ronald Miller Equirectangular
            43.5 - Ronald Miller, minimum continental distortion
            42 - Grafarend and Niermann
            37.5 - Ronald Miller, minimum overall distortion
            0 - Plate Carree, Simple Cylindrical, Plain/Plane Chart

    -Jtlon0/[lat0/]scale or -JTlon0/[lat0/]width
        Give the central meridian lon0, central parallel lat0 (optional), and scale (1:xxxx or UNIT/degree).

    -Juzone/scale or -JUzone/width (UTM - Universal Transverse Mercator [C]).
        Give the UTM zone (A,B,1-60[C-X],Y,Z)) and scale (1:xxxx or UNIT/degree).
        Zones: If C-X not given, prepend - or + to enforce southern or northern hemisphere conventions [northern if south > 0].

    -Jy[lon0/[lat0/]]scale or -JY[lon0/[lat0/]]width (Cylindrical Equal-Area [E]).
        Give the central meridian lon0 (optional), standard parallel lat0 (optional), and scale (1:xxxx or UNIT/degree). The standard parallel is typically one of these (but can be any value):
            50 - Balthasart
            45 - Gall-Peters
            37.0666 - Caster
            37.4 - Trystan Edwards
            37.5 - Hobo-Dyer
            30 - Behrman
            0 - Lambert (default)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale or -JBlon0/lat0/lat1/lat2/width (Albers [E]).
        Give projection center lon0/lat0, two standard parallels lat1/lat2, and scale (1:xxxx or UNIT/degree).

    -Jdlon0/lat0/lat1/lat2/scale or -JDlon0/lat0/lat1/lat2/width (Conic Equidistant)
        Give projection center lon0/lat0, two standard parallels lat1/lat2, and scale (1:xxxx or UNIT/degree).

    -Jllon0/lat0/lat1/lat2/scale or -JLlon0/lat0/lat1/lat2/width (Lambert [C])
        Give origin lon0/lat0, two standard parallels lat1/lat2, and scale along these (1:xxxx or UNIT/degree).

    -Jpoly/[lon0/[lat0/]]scale or -JPoly/[lon0/[lat0/]]width ((American) Polyconic).
        Give the central meridian lon0 (optional), reference parallel lat0 (optional, default = equator), and scale along central meridian (1:xxxx or UNIT/degree).

    AZIMUTHAL PROJECTIONS:

    Except for polar aspects, -R w/e/s/n will be reset to -Rg. Use -R<...>r for smaller regions.

    -Jalon0/lat0[/horizon]/scale or -JAlon0/lat0[/horizon]/width (Lambert [E]).
        lon0/lat0 specifies the projection center. horizon specifies the max distance from projection center (in degrees, <= 180, default 90). Give scale as 1:xxxx or radius/lat, where radius is distance in UNIT from origin to the oblique latitude lat.

    -Jelon0/lat0[/horizon]/scale or -JElon0/lat0[/horizon]/width (Azimuthal Equidistant).
        lon0/lat0 specifies the projection center. horizon specifies the max distance from projection center (in degrees, <= 180, default 180). Give scale as 1:xxxx or radius/lat, where radius is distance in UNIT from origin to the oblique latitude lat.

    -Jflon0/lat0[/horizon]/scale or -JFlon0/lat0[/horizon]/width (Gnomonic).
        lon0/lat0 specifies the projection center. horizon specifies the max distance from projection center (in degrees, < 90, default 60). Give scale as 1:xxxx or radius/lat, where radius is distance in UNIT from origin to the oblique latitude lat.

    -Jglon0/lat0[/horizon]/scale or -JGlon0/lat0[/horizon]/width (Orthographic).
        lon0/lat0 specifies the projection center. horizon specifies the max distance from projection center (in degrees, <= 90, default 90). Give scale as 1:xxxx or radius/lat, where radius is distance in UNIT from origin to the oblique latitude lat.

    -Jglon0/lat0/altitude/azimuth/tilt/twist/Width/Height/scale or -JGlon0/lat0/altitude/azimuth/tilt/twist/Width/Height/width (General Perspective).
        lon0/lat0 specifies the projection center. altitude is the height (in km) of the viewpoint above local sea level. If altitude is less than 10, then it is the distance from the center of the earth to the viewpoint in earth radii. If altitude has a suffix r then it is the radius from the center of the earth in kilometers. azimuth is measured to the east of north of view. tilt is the upward tilt of the plane of projection. If tilt is negative, then the viewpoint is centered on the horizon. Further, specify the clockwise twist, Width, and Height of the viewpoint in degrees. Give scale as 1:xxxx or radius/lat, where radius is distance in UNIT from origin to the oblique latitude lat.

    -Jslon0/lat0[/horizon]/scale or -JSlon0/lat0[/horizon]/width (General Stereographic [C]).
        lon0/lat0 specifies the projection center. horizon specifies the max distance from projection center (in degrees, < 180, default 90). Give scale as 1:xxxx (true at pole) or lat/1:xxxx (true at standard parallel lat) or radius/lat (radius in UNIT from origin to the oblique latitude lat). Note if 1:xxxx is used then to specify horizon you must also specify the lat as +-90 to avoid ambiguity.

    MISCELLANEOUS PROJECTIONS:

    -Jh[lon0/]scale or -JH[lon0/]width (Hammer [E]).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Ji[lon0/]scale or -JI[lon0/]width (Sinusoidal [E]).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Jkf[lon0/]scale or -JKf[lon0/]width (Eckert IV) [E]).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Jk[s][lon0/]scale or -JK[s][lon0/]width (Eckert VI) [E]).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Jn[lon0/]scale or -JN[lon0/]width (Robinson).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Jr[lon0/]scale -JR[lon0/]width (Winkel Tripel).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Jv[lon0/]scale or -JV[lon0/]width (Van der Grinten).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    -Jw[lon0/]scale or -JW[lon0/]width (Mollweide [E]).
        Give the central meridian lon0 (optional) and scale along equator (1:xxxx or UNIT/degree).

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] or -JP[a]width[/origin][r|z] (Polar coordinates (theta,r))
        Optionally insert a after -Jp [ or -JP] for azimuths CW from North instead of directions CCW from East [Default]. Optionally append /origin in degrees to indicate an angular offset [0]). Finally, append r if r is elevations in degrees (requires s >= 0 and n <= 90) or z if you want to annotate depth rather than radius [Default]. Give scale in UNIT/r-unit.

    -Jxx-scale[/y-scale] or -JXwidth[/height] (Linear, log, and power scaling)
        Give x-scale (1:xxxx or UNIT/x-unit) and/or y-scale (1:xxxx or UNIT/y-unit); or specify width and/or height in UNIT. y-scale=x-scale if not specified separately and using 1:xxxx implies that x-unit and y-unit are in meters. Use negative scale(s) to reverse the direction of an axis (e.g., to have y be positive down). Set height or width to 0 to have it recomputed based on the implied scale of the other axis. Optionally, append to x-scale, y-scale, width or height one of the following:

        d   Data are geographical coordinates (in degrees).

        l   Take log10 of values before scaling.

        ppower
            Raise values to power before scaling.

        t   Input coordinates are time relative to TIME_EPOCH.

        T   Input coordinates are absolute time.

        Default axis lengths (see gmtdefaults) can be invoked using -JXh (for landscape); -JXv (for portrait) will swap the x- and y-axis lengths. The default unit for this installation is either cm or inch, as defined in the file share/gmt_setup.conf. However, you may change this by editing your .gmtdefaults4 file(s).

-R  xmin, xmax, ymin, and ymax specify the Region of interest. For geographic regions, these limits correspond to west, east, south, and north and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid. For calendar time coordinates you may either give (a) relative time (relative to the selected TIME_EPOCH and in the selected TIME_UNIT; append t to -JX|x), or (b) absolute time of the form [date]T[clock] (append T to -JX|x). At least one of date and clock must be present; the T is always required. The date string must be of the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or yyyy[-Www[-d]] (ISO week calendar), while the clock string must be of the form hh:mm:ss[.xxx]. The use of delimiters and their type and positions must be exactly as indicated (however, input, output and plot formats are customizable; see gmtdefaults).

OPTIONS
No space between the option flag and the associated arguments.

-E  Sets the viewpoint's azimuth and elevation (for perspective view) [180/90]. For frames used for animation, you may want to append + to fix the center of your data domain (or specify a particular world coordinate point with +wlon0/lat[/z]) which will project to the center of your page size (or specify the coordinates of the projected view point with +vx0/y0).

-G  Select fill shade, color or pattern for the inside of the basemap [Default is no fill color]. (See SPECIFYING FILL below).

-Jz Sets the vertical scaling (for 3-D maps). Same syntax as -Jx.

-K  More PostScript code will be appended later [Default terminates the plot system].

-L  Draws a simple map scale centered on lon0/lat0. Use -Lx to specify x/y position instead. Scale is calculated at latitude slat (optionally supply longitude slon for oblique projections [Default is central meridian]), length is in km [miles if m is appended; nautical miles if n is appended]. Use -Lf to get a "fancy" scale [Default is plain]. Append +l to select the default label which equals the distance unit (km, miles, nautical miles) and is justified on top of the scale [t]. Change this by giving your own label (append +llabel). Change label justification with +jjustification (choose among l(eft), r(ight), t(op), and b(ottom)). Apply +u to append the unit to all distance annotations along the scale. If you want to place a rectangle behind the scale, specify suitable +ppen and/or +ffill parameters. (See SPECIFYING PENS and SPECIFYING FILL below).

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [Default is Landscape, see gmtdefaults to change this].

-T  Draws a simple map directional rose centered on lon0/lat0. Use -Tx to specify x/y position instead. The size is the diameter of the rose, and optional label information can be specified to override the default values of W, E, S, and N (Give :: to suppress all labels). The default [plain] map rose only labels north. Use -Tf to get a "fancy" rose, and specify in info what you want drawn. The default [1] draws the two principal E-W, N-S orientations, 2 adds the two intermediate NW-SE and NE-SW orientations, while 3 adds the eight minor orientations WNW-ESE, NNW-SSE, NNE-SSW, and ENE-WSW. For a magnetic compass rose, specify -Tm. If given, info must be the two parameters dec/dlabel, where dec is the magnetic declination and dlabel is a label for the magnetic compass needle (specify - to format a label from dec). Then, both directions to geographic and magnetic north are plotted [Default is geographic only]. If the north label is * then a north star is plotted instead of the north label. Annotation and two levels of tick intervals for geographic and magnetic directions are 10/5/1 and 30/5/1 degrees, respectively; override these settings by appending +gints[/mints]. Color and pen attributes are taken from COLOR_BACKGROUND and TICK_PEN, respectively, while label fonts and sizes follow the usual annotation, label, and header font settings.

-U  Draw Unix System time stamp on plot. By adding just/dx/dy/, the user may specify the justification of the stamp and where the stamp should fall on the page relative to lower left corner of the plot. For example, BL/0/0 will align the lower left corner of the time stamp with the lower left corner of the plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME, UNIX_TIME_POS, and UNIX_TIME_FORMAT can affect the appearance; see the gmtdefaults man page for details. The time string will be in the locale set by the environment variable TZ (generally local time).

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-Z  For 3-D projections: Sets the z-level of the basemap [Default is at the bottom end of the z-axis].

-c  Specifies the number of plot copies. [Default is 1].

  SPECIFYING PENS

pen The attributes of lines and symbol outlines as defined by pen is a comma delimetered list of width, color and texture, each of which is optional. width can be indicated as a measure (points, centimeters, inches) or as faint, thin[ner|nest], thick[er|est], fat[ter|test], or obese. color specifies a gray shade or color (see SPECIFYING COLOR below). texture is a combination of dashes `-' and dots `.'.

  SPECIFYING FILL

fill
    The attribute fill specifies the solid shade or solid color (see SPECIFYING COLOR below) or the pattern used for filling polygons. Patterns are specified as pdpi/pattern, where pattern gives the number of the built-in pattern (1-90) or the name of a Sun 1-, 8-, or 24-bit raster file. The dpi sets the resolution of the image. For 1-bit rasters: use Pdpi/pattern for inverse video, or append :Fcolor[B[color]] to specify fore- and background colors (use color = - for transparency). See GMT Cookbook & Technical Reference Appendix E for information on individual patterns.

  SPECIFYING COLOR

color
    The color of lines, areas and patterns can be specified by a valid color name; by a gray shade (in the range 0-255); by a decimal color code (r/g/b, each in range 0-255; h-s-v, ranges 0-360, 0-1, 0-1; or c/m/y/k, each in range 0-1); or by a hexadecimal color code (#rrggbb, as used in HTML). See the gmtcolors manpage for more information and a full list of color names.

EXAMPLES
The following section illustrates the use of the options by giving some examples for the available map projections. Note how scales may be given in several different ways depending on the projection. Also note the use of upper case letters to specify map width instead of map scale.

NON-GEOGRAPHICAL PROJECTIONS

  Linear x-y plot
To make a linear x/y frame with all axes, but with only left and bottom axes annotated, using xscale = yscale = 1.0, ticking every 1 unit and annotating every 2, and using xlabel = "Distance" and ylabel = "No of samples", use

psbasemap -R 0/9/0/5 -Jx 1 -Bf 1a2:Distance:/:"No of samples":WeSn > linear.ps

  Log-log plot
To make a log-log frame with only the left and bottom axes, where the x-axis is 25 cm and annotated every 1-2-5 and the y-axis is 15 cm and annotated every power of 10 but has tickmarks every 0.1, run

psbasemap -R 1/10000/1e20/1e25 -JX 25cl/15cl -B 2:Wavelength:/a1pf3:Power:WS > loglog.ps

  Power axes
To design an axis system to be used for a depth-sqrt(age) plot with depth positive down, ticked and annotated every 500m, and ages annotated at 1 my, 4 my, 9 my etc, use

psbasemap -R 0/100/0/5000 -Jx 1p0.5/-0.001 -B 1p:"Crustal age":/500:Depth: > power.ps

  Polar (theta,r) plot
For a base map for use with polar coordinates, where the radius from 0 to 1000 should correspond to 3 inch and with gridlines and ticks every 30 degrees and 100 units, use

psbasemap -R 0/360/0/1000 -JP 6i -B 30p/100 > polar.ps

CYLINDRICAL MAP PROJECTIONS

  Cassini
A 10 -cm-wide basemap using the Cassini projection may be obtained by

psbasemap -R 20/50/20/35 -JC 35/28/10c -P -B 5g5:.Cassini: > cassini.ps

  Mercator [conformal]
A Mercator map with scale 0.025 inch/degree along equator, and showing the length of 5000 km along the equator (centered on 1/1 inch), may be plotted as

psbasemap -R 90/180/-50/50 -Jm 0.025i -B 30g30:.Mercator: -Lx 1i/1i/0/5000 > mercator.ps

  Miller
A global Miller cylindrical map with scale 1:200,000,000 may be plotted as

psbasemap -Rg -Jj 180/1:200000000 -B 30g30:.Miller: > miller.ps

  Oblique Mercator [conformal]
To create a page-size global oblique Mercator basemap for a pole at (90,30) with gridlines every 30 degrees, run

psbasemap -R 0/360/-70/70 -Joc 0/0/90/30/0.064cd -B 30g30:."Oblique Mercator": > oblmerc.ps

  Transverse Mercator [conformal]
A regular Transverse Mercator basemap for some region may look like

psbasemap -R 69:30/71:45/-17/-15:15 -Jt 70/1:1000000 -B 15m:."Survey area": -P > transmerc.ps

  Equidistant Cylindrical Projection
This projection only needs the central meridian and scale. A 25 cm wide global basemap centered on the 130E meridian is made by

psbasemap -R-50/310/-90/90 -JQ 130/25c -B 30g30:."Equidistant Cylindrical": > cyl_eqdist.ps

  Universal Transverse Mercator [conformal]
To use this projection you must know the UTM zone number, which defines the central meridian. A UTM basemap for Indo-China can be plotted as

psbasemap -R 95/5/108/20r -Ju46/1:10000000 -B 3g3:.UTM: > utm.ps

  Cylindrical Equal-Area
First select which of the cylindrical equal-area projections you want by deciding on the standard parallel. Here we will use 45 degrees which gives the Gall-Peters projection. A 9 inch wide global basemap centered on the Pacific is made by

psbasemap -Rg -JY 180/45/9i -B 30g30:.Gall-Peters: > gall-peters.ps

CONIC MAP PROJECTIONS

  Albers [equal-area]
A basemap for middle Europe may be created by

psbasemap -R 0/90/25/55 -Jb 45/20/32/45/0.25c -B 10g10:."Albers Equal-area": > albers.ps

  Lambert [conformal]
Another basemap for middle Europe may be created by

psbasemap -R 0/90/25/55 -Jl 45/20/32/45/0.1i -B 10g10:."Lambert Conformal Conic": > lambertc.ps

  Equidistant
Yet another basemap of width 6 inch for middle Europe may be created by

psbasemap -R 0/90/25/55 -JD 45/20/32/45/6i -B 10g10:."Equidistant conic": > econic.ps

  Polyconic
A basemap for north America may be created by

psbasemap -R-180/-20/0/90 -JPoly/4i -B 30g10/10g10:."Polyconic": > polyconic.ps

AZIMUTHAL MAP PROJECTIONS

  Lambert [equal-area]
A 15 -cm-wide global view of the world from the vantage point -80/-30 will give the following basemap:

psbasemap -Rg -JA-80/-30/15c -B 30g30/15g15:."Lambert Azimuthal": > lamberta.ps

Follow the instructions for stereographic projection if you want to impose rectangular boundaries on the azimuthal equal-area map but substitute -Ja for -Js.

  Equidistant
A 15 -cm-wide global map in which distances from the center (here 125/10) to any point is true can be obtained by:

psbasemap -Rg -JE 125/10/15c -B 30g30/15g15:.Equidistant: > equi.ps

  Gnomonic
A view of the world from the vantage point -100/40 out to a horizon of 60 degrees from the center can be made using the Gnomonic projection:

psbasemap -Rg -JF-100/40/60/6i -B 30g30/15g15:.Gnomonic: > gnomonic.ps

  Orthographic
A global perspective (from infinite distance) view of the world from the vantage point 125/10 will give the following 6 -inch-wide basemap:

psbasemap -Rg -JG 125/10/6i -B 30g30/15g15:.Orthographic: > ortho.ps

  General Perspective
The -JG option can be used in a more generalized form, specifying altitude above the surface, width and height of the view point, and twist and tilt. A view from 160 km above -74/41.5 with a tilt of 55 and azimuth of 210 degrees, and limiting the viewpoint to 30 degrees width and height will product a 6 -inch-wide basemap:

psbasemap -Rg -JG-74/41.5/160/210/55/30/30/6i -B 5g1/5g1:."General Perspective": > genper.ps

  Stereographic [conformal]
To make a polar stereographic projection basemap with radius = 12 cm to -60 degree latitude, with plot title "Salinity measurements", using 5 degrees annotation/tick interval and 1 degree gridlines, run

psbasemap -R-45/45/-90/-60 -Js 0/-90/12c/-60 -B 5g5:."Salinity measurements": > stereo1.ps

To make a 12 -cm-wide stereographic basemap for Australia from an arbitrary view point (not the poles), and use a rectangular boundary, we must give the pole for the new projection and use the -R option to indicate the lower left and upper right corners (in lon/lat) that will define our rectangle. We choose a pole at 130/-30 and use 100/-45 and 160/-5 as our corners. The command becomes

psbasemap -R 100/-45/160/-5fP -JS 130/-30/12c -B 30g30/15g15:."General Stereographic View": > stereo2.ps

MISCELLANEOUS MAP PROJECTIONS

  Hammer [equal-area]
The Hammer projection is mostly used for global maps and thus the spherical form is used. To get a world map centered on Greenwich at a scale of 1:200000000, use

psbasemap -Rd -Jh 0/1:200000000 -B 30g30/15g15:.Hammer: > hammer.ps

  Sinusoidal [equal-area]
To make a sinusoidal world map centered on Greenwich, with a scale along the equator of 0.02 inch/degree, use

psbasemap -Rd -Ji 0/0.02i -B 30g30/15g15:.Sinusoidal: > sinus1.ps

To make an interrupted sinusoidal world map with breaks at 160W, 20W, and 60E, with a scale along the equator of 0.02 inch/degree, run the following sequence of commands:

psbasemap -R-160/-20/-90/90 -Ji-90/0.02i -B 30g30/15g15Wesn -K > sinus_i.ps
psbasemap -R-20/60/-90/90 -Ji 20/0.02i -B 30g30/15g15wesn -O -K -X 2.8i >> sinus_i.ps
psbasemap -R 60/200/-90/90 -Ji 130/0.02i -B 30g30/15g15wEsn -O -X 1.6i >> sinus_i.ps

  Eckert IV [equal-area]
Pseudo-cylindrical projection typically used for global maps only. Set the central longitude and scale, e.g.,

psbasemap -Rg -Jkf 180/0.064c -B 30g30/15g15:."Eckert IV": > eckert4.ps

  Eckert VI [equal-area]
Another pseudo-cylindrical projection typically used for global maps only. Set the central longitude and scale, e.g.,

psbasemap -Rg -Jks 180/0.064c -B 30g30/15g15:."Eckert VI": > eckert6.ps

  Robinson
Projection designed to make global maps "look right". Set the central longitude and width, e.g.,

psbasemap -Rd -JN 0/8i -B 30g30/15g15:.Robinson: > robinson.ps

  Winkel Tripel
Yet another projection typically used for global maps only. You can set the central longitude, e.g.,

psbasemap -R 90/450/-90/90 -JR 270/25c -B 30g30/15g15:."Winkel Tripel": > winkel.ps

  Mollweide [equal-area]
The Mollweide projection is also mostly used for global maps and thus the spherical form is used. To get a 25 -cm-wide world map centered on the Dateline:

psbasemap -Rg -JW 180/25c -B 30g30/15g15:.Mollweide: > mollweide.ps

  Van der Grinten
The Van der Grinten projection is also mostly used for global maps and thus the spherical form is used. To get a 7 -inch-wide world map centered on the Dateline:

psbasemap -Rg -JV 180/7i -B 30g30/15g15:."Van der Grinten": > grinten.ps

RESTRICTIONS
For some projections, a spherical earth is implicitly assumed. A warning will notify the user if -V is set. Also note that plot titles are not plotted if -E is given.

BUGS
The -B option is somewhat complicated to explain and comprehend. However, it is fairly simple for most applications (see examples).

SEE ALSO
gmtcolors(5), gmtdefaults(1), GMT(1)